package actionPilot;

import kinematics.Dynamics;
import kinematics.Pose2D;

public class Travel extends Rest {

  private float direction;

  public Travel(float direction) {
    super( true, true, false);
    this.direction=direction;
  }


  public void setDynamics(Dynamics dynamics, Pose2D currentPose) {
    super.setDynamics(dynamics, currentPose);
    x=(float) Math.cos(direction)*dynamics.getLinearSpeed();
    y=(float) Math.sin(direction)*dynamics.getLinearSpeed();
  }

  @Override
  public String toString() {
    return "Travel";
  }
  
}
