package actionPilot;

import kinematics.Pose2D;


/** This Move makes the robot travel to a target point. This point can be moving or stationary.
 * The move does not alter the orientation of the robot.
 * @author Aswin
 *
 */
public class GoTo extends MoveTo {
	
	public GoTo(Pose2D target){
		super(target, true, true, false);
	}

	@Override
	public String toString() {
		return "GoTo";
	}
}
