package actionPilot;


/**
 * This Move keeps the robot motionless. It is used by the pilot internally to maintain a state of rest. 
 * End users should not have to use this class. 
 * @author Aswin
 *
 */
public class Rest extends AbstractMove {
  boolean restX=true, restY=true, restAngle=true;
  
  public Rest(boolean restX, boolean restY, boolean restAngle) {
    this.restX=restX;
    this.restY=restY;
    this.restAngle=restAngle;
    
  }

	@Override
	public String toString() {
		return "Rest";
	}

  @Override
  public boolean supportsDimension(int dimension) {
    if (dimension==0 && restX) return true;
    if (dimension==1 && restY) return true;
    if (dimension==2 && restAngle) return true;
    return false;
  }

}
