package samples;

import kinematics.ModelBuilder;
 
public class TestModelBuilder {
  static ModelBuilder model=new ModelBuilder(3);
  static float PI=(float)Math.PI;

  public static void main(String[] args) {
    model.wheelPolarPosition(0, 1, 0 );
    model.wheelPolarPosition(1, 1, PI * 2 / 3);
    model.wheelPolarPosition(2, 1, -PI * 2 / 3);
    model.buildForwardKinematicModel().dump();
    System.out.println();
    model.buildReverseKinematicModel().dump();
  }

}
